<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos - Tela de login";
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
echo(" Operador: $nomeOperador cod_labo= $idLabo<br>");

 
switch ($tela):
    case 'incluir':
        echo '<h2>Registro das temperaturas para cada germinador.</h4>';	
		//echo("mmmmmmmmmmmmmm materialantes de comecar= $material  tipo=$tipo  <br>");
	   if(post('manual') !== ""):
	       echo '<iframe src="manual2010.php?opcaoManual=tabeladeful" style="border:0" width="100%" height="350"></iframe>';//funciona
 	   endif;	
       /////vai criar um registro na tabela deful para cada laboratorio/material se nao encontrou /////////////
	   ////////////////////////final da criação do registro////////////////////////////////

/////aqui vai gravar o registro///////////////////
       if(post('gravar') !== ""):
	     $germinador=post('germinador');
	     $maxima=post('maxima');
	     $minima=post('minima');
	     $atual=post('atual');
		 echo("Vai criar um registro <br>");	
		 $sql="insert into controletemperatura(tem_labo,tem_germinador,tem_max,tem_min, tem_atual)";
		 $sql.="values(                       '$idLabo','$germinador','$maxima','$minima','$atual')";
		 //echo("sql de gravacao=$sql<br>");
		 $userNota = new generica();
		 $userNota->campos_valores = $sql;				 
		 $userNota->inserirEspecial($userNota);
		 $idNota=$userNota->linhasafetadas;
		 //echo("idNota=$idNota<br>");
		 $sessao->setVar('controle', $idNota);
	   endif;
	   
	   
///////aqui vai imprimir a ficha do germinador soslicitado
      if(post('imprimir1') !== ""):
	     $germinador=post('germinador');
		 echo("imprimir ficha germinador   $germinador <br>");
		 $sessao->setVar('controle', $germinador);
		 echo '<iframe src="imprimecontroletemperatura.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;
        ?>
		
		
		
		
		<form class="userform" method="post" action="">
        <fieldset>
        <legend>Informe os valores e clique depois em salvar.</legend>
		<table border="1" width="300" >
        <tbody>
		<tr>
        <td>Germinador</td>
        <td>Máxima</td>
		<td>Mínima</td>
        <td>Atual</td>
		</tr>
        </tbody>
		<tr>
		<td>
	 		  <select  name="germinador" >
	          <option><?php echo $germinador;?></option>
	          <option>1</option>
	          <option>2</option>
	          <option>3</option>
	          <option>4</option>
	          <option>5</option>
	          <option>6</option>
	          <option>7</option>
	          <option>8</option>
	          <option>9<option>
	          <option>10</option>
			  </select>
		</td>		
        </td><td><input type="text" name="maxima" size="1" maxlength="2"  value="<?php echo $maxima;?>" </td>		
		<td><input type="text" name="minima" size="1" maxlength="2"  value="<?php echo $minima;?>" </td>		
        <td><input type="text" name="atual" size="1" maxlength="2"  value="<?php echo $atual;?>" </td>		
        </tr>
        </table>
        <hr>
		<td><input type="submit" name="gravar" value="Salvar" /></td>
		<td><input type="submit" name="imprimir1" value="Imprimir ficha germinador" /></td>
		<td><input type="submit" name="manual" value="Ajuda" /></td>
        </fieldset>
        <td><input type="hidden" name="id" size="1"  value="<?php echo $id;?>" </td>		

        </form>
	<?php
    break;



	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>